# vim: set sw=4 ts=4 et nu:
# norootforbuild

Name:               libmatroska
Version:            1.0.0
%define soname      2
Release:            1.2
Summary:            Library to Parse Matroska Files
Source:             http://dl.matroska.org/downloads/libmatroska/libmatroska-%{version}.tar.bz2
Patch1:             libmatroska-destdir.patch
URL:                http://matroska.org
Group:              System/Libraries
License:            GNU Lesser General Public License version 2.1 or later (LGPL v2.1 or later)
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      libebml-devel
BuildRequires:      gcc-c++ libstdc++-devel
BuildRequires:      gcc make glibc-devel pkgconfig

%description
libmatroska is a C++ library to parse Matroska files (.mkv and .mka). It is
available in LGPL license as a source code that should compile on many
platforms including Windows, Linux, Mac OSX and BeOS. It depends on libebml to
work.

Matroska is an audio/video container based on EBML.

%package -n libmatroska%{soname}
Summary:            Library to Parse Matroska Files
Group:              System/Libraries

%description -n libmatroska%{soname}
libmatroska is a C++ library to parse Matroska files (.mkv and .mka). It is
available in LGPL license as a source code that should compile on many
platforms including Windows, Linux, Mac OSX and BeOS. It depends on libebml to
work.

Matroska is an audio/video container based on EBML.

%package devel
Summary:            Library to Parse Matroska Files
Group:              Development/Libraries/C and C++
Requires:           libmatroska%{soname} = %{version}
Requires:           libebml-devel

%description devel
libmatroska is a C++ library to parse Matroska files (.mkv and .mka). It is
available in LGPL license as a source code that should compile on many
platforms including Windows, Linux, Mac OSX and BeOS. It depends on libebml to
work.

Matroska is an audio/video container based on EBML.

%debug_package
%prep
%setup -q
%patch1

%__sed -i 's/\r$//' LICENSE.LGPL

%build
pushd make/linux
%__make \
    %{?jobs:-j%{jobs}} \
    CC="%__cc" \
    CXX="%__cxx" \
    prefix="%{_prefix}" \
    libdir="%{_libdir}" \
    all
popd #make/linux

%install
pushd make/linux
%__make \
    DESTDIR="%{buildroot}" \
    CC="%__cc" \
    CXX="%__cxx" \
    prefix="%{_prefix}" \
    libdir="%{_libdir}" \
    install_staticlib \
    install_sharedlib \
    install_headers
popd #make/linux

%post   -n libmatroska%{soname} -p /sbin/ldconfig
%postun -n libmatroska%{soname} -p /sbin/ldconfig

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -n libmatroska%{soname}
%defattr(-,root,root)
%doc LICENSE.LGPL
%{_libdir}/libmatroska.so.%{soname}

%files devel
%defattr(-,root,root)
%{_includedir}/matroska
%{_libdir}/libmatroska.so
%{_libdir}/libmatroska.a

%changelog
* Sun Aug  1 2010 pascal@links2linux.de
- initial package (1.0.0)
